%define upstream_name    File-Update
%define upstream_version 0.2.1

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    Update/modify/mutate a file only on change in contents
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/File/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Exporter)
BuildRequires: perl(File::Spec)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(IPC::Open3)
BuildRequires: perl(Module::Build) >= 0.280.0
BuildRequires: perl(Path::Tiny)
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(parent)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
Perl extension to Update/modify/mutate a file only on a change in its contents.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Build.PL --installdirs=vendor

./Build

%check
./Build test

%install
./Build install --destdir=%{buildroot}

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Fri Jun 27 2025 umeabot <umeabot> 0.2.1-4.mga10
+ Revision: 2205834
- Mageia 10 Mass Rebuild

* Mon Mar 21 2022 umeabot <umeabot> 0.2.1-3.mga9
+ Revision: 1812321
- Mageia 9 Mass Rebuild

* Thu Feb 20 2020 umeabot <umeabot> 0.2.1-2.mga8
+ Revision: 1545619
- Mageia 8 Mass Rebuild

* Wed Jan 29 2020 tv <tv> 0.2.1-1.mga8
+ Revision: 1484956
- update to 0.2.1

* Thu Dec 19 2019 tv <tv> 0.2.0-1.mga8
+ Revision: 1469024
- update to 0.2.0

* Wed Oct 17 2018 shlomif <shlomif> 0.0.3-1.mga7
+ Revision: 1321458
- update to 0.0.3

* Thu Sep 20 2018 umeabot <umeabot> 0.0.2-2.mga7
+ Revision: 1283788
- Mageia 7 Mass Rebuild

* Sat Jun 30 2018 shlomif <shlomif> 0.0.2-1.mga7
+ Revision: 1240871
- fix description
- imported package perl-File-Update


* Sat Jun 30 2018 cpan2dist 0.0.2-1mga
- initial mageia release, generated with cpan2dist
